.TH HG FILES  "" "" ""
.SH NAME
hg files \- list tracked files
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg files [OPTION]... [FILE]...
.ft P
.fi
.SH DESCRIPTION
.sp
Print files under Mercurial control in the working directory or
specified revision for given files (excluding removed files).
Files can be specified as filenames or filesets.
.sp
If no files are given to match, this command prints the names
of all files under Mercurial control.
.sp
Template:
.sp
The following keywords are supported in addition to the common template
keywords and functions. See also \%\fBhg help templates\fP\:.
.INDENT 0.0
.TP
.B flags
.
String. Character denoting file\(aqs symlink and executable bits.
.TP
.B path
.
String. Repository\-absolute path of the file.
.TP
.B size
.
Integer. Size of the file in bytes.
.UNINDENT
.sp
Examples:
.INDENT 0.0
.IP \(bu 2
.
list all files under the current directory:
.sp
.nf
.ft C
hg files .
.ft P
.fi
.IP \(bu 2
.
shows sizes and flags for current revision:
.sp
.nf
.ft C
hg files \-vr .
.ft P
.fi
.IP \(bu 2
.
list all files named README:
.sp
.nf
.ft C
hg files \-I "**/README"
.ft P
.fi
.IP \(bu 2
.
list all binary files:
.sp
.nf
.ft C
hg files "set:binary()"
.ft P
.fi
.IP \(bu 2
.
find files containing a regular expression:
.sp
.nf
.ft C
hg files "set:grep(\(aqbob\(aq)"
.ft P
.fi
.IP \(bu 2
.
search tracked file contents with xargs and grep:
.sp
.nf
.ft C
hg files \-0 | xargs \-0 grep foo
.ft P
.fi
.UNINDENT
.sp
See \%\fBhg help patterns\fP\: and \%\fBhg help filesets\fP\: for more information
on specifying file patterns.
.sp
Returns 0 if a match is found, 1 otherwise.
.SH OPTIONS
.INDENT 0.0
.TP
.BI \-r,  \-\-rev \ <REV>
.
search the repository as it is in REV
.TP
.B \-0,  \-\-print0
.
end filenames with NUL, for use with xargs
.TP
.BI \-I,  \-\-include \ <PATTERN[+]>
.
include names matching the given patterns
.TP
.BI \-X,  \-\-exclude \ <PATTERN[+]>
.
exclude names matching the given patterns
.TP
.BI \-T,  \-\-template \ <TEMPLATE>
.
display with template
.TP
.B \-S,  \-\-subrepos
.
recurse into subrepositories
.UNINDENT
.sp
[+] marked option can be specified multiple times
.\" Generated by docutils manpage writer.
.\" 
.
